Skip to main content
`Ctrl`+`K`

# MatSeqAIJCUSPARSEGetIJ

returns the device row storage `i` and `j` indices for `MATSEQAIJCUSPARSE` matrices.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSeqAIJCUSPARSEGetIJ(Mat A, PetscBool compressed, const int **i, const int **j)

Not Collective

## Input Parameters

- A - the matrix

- compressed - `PETSC_TRUE` or `PETSC_FALSE` indicating the matrix data structure should be always returned in compressed form

## Output Parameters

- i - the CSR row pointers

- j - the CSR column indices

## Note

When compressed is true, the CSR structure does not contain empty rows

## See Also

Matrices, `Mat`, `MatSeqAIJCUSPARSERestoreIJ()`, `MatSeqAIJCUSPARSEGetArrayRead()`

## Level

developer

## Location

src/mat/impls/aij/seq/seqcusparse/aijcusparse.cu

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages